# Team Report

## Goals from previous week:
- Finish login/edit/deletion in frontend
- More thorough styling
- Add more tests/documentation

## Progress Report
- More tests added
- Extension successfully posted to web store, backend server set up on attu
- Started work on login/displaying anonymity

## Goals for next week
- Finish login/edit/deletion
- Final touches on styling

# Contributions of individual team members

## Junha Lee
### Goals from previous week:
- More thorough endpoint testing for POST requests
- Help with frontend features as most major backend endpoints are complete
- Tweak/add backend endpoints as needed.

### Progress Report
- POST error handling test cases added
- Published extension to chrome web store/setup backend server on attu

### Goals for next week
- Help with frontend features (login/delete/edit)
- Edit backend endpoints as needed

## Ali Al-Shimari
### Goals from previous week:
- Implement front end for log in

### Progress Report
- Currently implementing login, getting many errors

### Goals for next week
- Finish login

## Bella Cooper
### Goals from previous week:
- Continue to work on styling and on the UI
- Continue testing see reviews button

### Progress Report
- Styled reviews shown and added display name to reviews
- Styled progress bars to better match the style of the page
- Added message to alert user when there are no reviews available for a course

### Goals for next week
- Finish up styling and testing and final touches for the front end

## Kenneth Lee
### Goals from previous week:
- Backend work mostly done so transitioning to helping with front-end and full stack design
  such as improving styling and tweaking behavior slightly

### Progress Report
- Added to documentation, removed outdated code
- Add functionality to anonymize names for reviews that are
marked as anonymous
- Working on styling changes

### Goals for next week
- Improve front-end styling
- Add custom downtime message for show reviews when there is
a server error so it is intuitive for user

## Clarence Muchina
### Goals from previous week:
- Allow users to edit and view their reviews as well as login through our extension.

### Progress Report
- Met parts of last weeks goals, users can now login through our extension, but still working on allowing users to edit and view their reviews.

### Goals for next week
- Work on styling of Login Page, and allow users to edit their reviews.


## Brenda Ruvalcaba
### Goals from previous week:
- Polish the front-end to have a better design for the user.
- Polish the front-end display bars so that they comply with the desired design.

### Progress Report
- Polished and styled the reviews' bars so that they comply with the chosen design.

### Goals for next week
- Help testing and finalizing any end-points that require editing.


