# Team Report

## Goals from previous week:
- Finish boilerplate code
- Add additional sections to living document
- Start work on milestone 1 from document

## Progress Report
- Added additional sections to living document
- Added localhost to host_permissions to allow frontend to access backend
- Setup local MySQL database

## Goals for next week
- Implement automated testing and CI
- Create tables in MySQL database, create simple necessary endpoints.
- Create skeleton form in index.html/index.js
- Figure out DOM manipulation for myplan (content.js is currently being run before myplan fully populates the content)

# Contributions of individual team members

## Junha Lee
### Goals from previous week:
- Start listing basic endpoints needed by frontend in APIDOC
- Design and setup database structure

### Progress Report
- Added test code in index.js and the manifest for communicating between frontend and backend
- Added template documentation for one future endpoint in APIDOC, as well as placeholders for future
endpoints we'll want to eventually implement.

### Goals for next week
- Figure out testing/CI infrastructure, probably with npm or Gitlab, need to do research first.

## Ali Al-Shimari
### Goals from previous week:
- Begin setting up basic setup for front end and backend framework

### Progress Report
- Prepared m4 document.

### Goals for next week
- Continue setting up basic setup for front end and backend framework


## Bella Cooper
### Goals from previous week:
- Added issues to github
- Created milestones
- Organized issues into milestones by assigning to corresponding milestone

### Progress Report
- Assisted team with finishing design and architecture requirements
- Installed necessary packages for backend

### Goals for next week
- Continue setting up front-end and back-end frameworks

## Kenneth Lee
### Goals from previous week:
- Have a concept working MySQL server that is hosted locally and can be connected to. Potentially add basic SQL queries for adding and dropping elements
- Talk with other team members about backend API design

### Progress Report
- Completed setup of working MySQL server that is hosted locally. Added sample SQL query in app.js that can be used with server, allowing local development to work.
- Showed other backend engineers how to setup local development for MySQL

### Goals for next week
- As Junha begins to set up backend endpoints, will start creating queries that can be executed in MySQL database
- Currently setting up a local MySQL server for development is tedious process and you would need to manually input test database, potentially host database in online cloud service provider that all backend engineers can connect to

## Clarence Muchina
### Goals from previous week:
- Have things organized and start working on basics of project. Hopefully also start implementing code, whether that be frontend or backend, whatever comes first.

### Progress Report
- Finished organization, haven't implemented code yet, but I have everything set up, and created a Wireframe layout for project.

### Goals for next week
- Assist with front-end assignment with Ali.
- Produce something visible on screen.

## Brenda Ruvalcaba
### Goals from previous week:
- Organize and help design a prototype for the front-end structure.
- Assist the back-end engineers in designing the back-end structure (if needed).
- Organize my personal software such that all systems are available in my computer.

### Progress Report
- Installed and organized all systems and software necessary for the project, as well as packages needed.
- Assisted in implementing the specifications for software design, specifically for fron-end design.
- Assisted in writing the back-end specifications of the data base design.

### Goals for next week
- Get access to a data base system, so that we can start implementing SQL queries, and start building the data base.
- Start building the implementation design of the front-end, or the back-end.


